import dotenv from 'dotenv';
import { startBot } from './bot/bot';
import { startServer } from './server/server';

// Load environment variables
dotenv.config();

const PORT = 3000;

// Start the bot and server
async function main() {
  await startBot();
  startServer(PORT);
}

main().catch((error) => {
  console.error('Error starting the bot:', error);
});
