export interface Task {
  id: number;
  description: string;
  assignedTo: string | null;
  dueDate: string | null;
  completed: boolean;
  createdAt: string;
  updatedAt: string;
}

export interface CreateTaskParams {
  description: string;
  assignedTo?: string;
  dueDate?: string;
}

export interface UpdateTaskParams {
  description?: string;
  assignedTo?: string;
  dueDate?: string;
  completed?: boolean;
}
